// Generated by gencpp from file teleop_msgs/PathParams.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_PATHPARAMS_H
#define TELEOP_MSGS_MESSAGE_PATHPARAMS_H

#include <ros/service_traits.h>


#include <teleop_msgs/PathParamsRequest.h>
#include <teleop_msgs/PathParamsResponse.h>


namespace teleop_msgs
{

struct PathParams
{

typedef PathParamsRequest Request;
typedef PathParamsResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct PathParams
} // namespace teleop_msgs


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::teleop_msgs::PathParams > {
  static const char* value()
  {
    return "5cd08abbeba16b0ad3a10ce92f788c97";
  }

  static const char* value(const ::teleop_msgs::PathParams&) { return value(); }
};

template<>
struct DataType< ::teleop_msgs::PathParams > {
  static const char* value()
  {
    return "teleop_msgs/PathParams";
  }

  static const char* value(const ::teleop_msgs::PathParams&) { return value(); }
};


// service_traits::MD5Sum< ::teleop_msgs::PathParamsRequest> should match
// service_traits::MD5Sum< ::teleop_msgs::PathParams >
template<>
struct MD5Sum< ::teleop_msgs::PathParamsRequest>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::PathParams >::value();
  }
  static const char* value(const ::teleop_msgs::PathParamsRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::PathParamsRequest> should match
// service_traits::DataType< ::teleop_msgs::PathParams >
template<>
struct DataType< ::teleop_msgs::PathParamsRequest>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::PathParams >::value();
  }
  static const char* value(const ::teleop_msgs::PathParamsRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::teleop_msgs::PathParamsResponse> should match
// service_traits::MD5Sum< ::teleop_msgs::PathParams >
template<>
struct MD5Sum< ::teleop_msgs::PathParamsResponse>
{
  static const char* value()
  {
    return MD5Sum< ::teleop_msgs::PathParams >::value();
  }
  static const char* value(const ::teleop_msgs::PathParamsResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::teleop_msgs::PathParamsResponse> should match
// service_traits::DataType< ::teleop_msgs::PathParams >
template<>
struct DataType< ::teleop_msgs::PathParamsResponse>
{
  static const char* value()
  {
    return DataType< ::teleop_msgs::PathParams >::value();
  }
  static const char* value(const ::teleop_msgs::PathParamsResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_PATHPARAMS_H
